## org.openqa.selenium.server.log
Class AntJettyLoggerBuildListener

    java.lang.Object
      org.openqa.selenium.server.log.AntJettyLoggerBuildListener

All Implemented Interfaces:
  java.util.EventListener, org.apache.tools.ant.BuildListener

    public class AntJettyLoggerBuildListener

extends java.lang.Object
implements org.apache.tools.ant.BuildListener

Listener that can be registered to be notified when things happened during a Ant task/build. Used in SeleniumDriverResourceHander and browser launchers.

Constructor Summary
`AntJettyLoggerBuildListener(org.apache.commons.logging.Log logger)`

Method Summary
`void` `buildFinished(org.apache.tools.ant.BuildEvent event)`
`void` `buildStarted(org.apache.tools.ant.BuildEvent event)`
`void` `messageLogged(org.apache.tools.ant.BuildEvent event)` Signals a message logging event.
`void` `targetFinished(org.apache.tools.ant.BuildEvent event)`
`void` `targetStarted(org.apache.tools.ant.BuildEvent event)`
`void` `taskFinished(org.apache.tools.ant.BuildEvent event)`
`void` `taskStarted(org.apache.tools.ant.BuildEvent event)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AntJettyLoggerBuildListener

    public AntJettyLoggerBuildListener(org.apache.commons.logging.Log logger)

Method Detail

### buildFinished

    public void buildFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildFinished` in interface `org.apache.tools.ant.BuildListener`

### buildStarted

    public void buildStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `buildStarted` in interface `org.apache.tools.ant.BuildListener`

### targetFinished

    public void targetFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetFinished` in interface `org.apache.tools.ant.BuildListener`

### targetStarted

    public void targetStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `targetStarted` in interface `org.apache.tools.ant.BuildListener`

### taskFinished

    public void taskFinished(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskFinished` in interface `org.apache.tools.ant.BuildListener`

### taskStarted

    public void taskStarted(org.apache.tools.ant.BuildEvent event)

  Specified by:
    `taskStarted` in interface `org.apache.tools.ant.BuildListener`

### messageLogged

    public void messageLogged(org.apache.tools.ant.BuildEvent event)

  Signals a message logging event.

  Specified by:
    `messageLogged` in interface `org.apache.tools.ant.BuildListener`

Copyright © 2009. All Rights Reserved.